Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2780633002: Tweaks handling of U+30F[C-E] (Closed)

Created:
7 months, 3 weeks ago by jungshik at Google
Modified:
7 months, 1 week ago
Reviewers:
Peter Kasting
CC:
chromium-reviews, emilyschechter, lgarron
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Tweaks handling of U+30F[C-E] Allows U+30FC (ー; Hiragana-Katakana prolonged sound mark) to be followed by a non-Kana characters. Disallows it only when it's preceded by a non-Kana characters or at the beginning. This changes lets about 3,000 domains be displayed in Unicode in .com. Disallows U+30F[DE] (Katakana (Voiced) Iteration Mark) unless they're preceded by a Katakana. This is stricter than ICANN Label Generation Rules for Japanese [1] because the LGR for Japanese hasn't been applied to currently registered domains. [1] https://www.icann.org/sites/default/files/packages/lgr/lgr-second-level-japanese-30aug16-en.html BUG=None TEST=components_unittests --gtest-filter=*IDN* Review-Url: https://codereview.chromium.org/2780633002 Cr-Commit-Position: refs/heads/master@{#463763} Committed: https://chromium.googlesource.com/chromium/src/+/24c0a76c14cd81b76a1ee75ad441e6b727c43938

Patch Set 1 #

Patch Set 2 : block U+30FB at the beginning, too #

Patch Set 3 : Allow U+30FB at the beginning; add tests for U+30F[DE] #

Total comments: 2

Patch Set 4 : fix typos #

Unified diffs Side-by-side diffs Delta from patch set Stats (+45 lines, -5 lines) Patch
M components/url_formatter/url_formatter.cc View 1 2 3 chunks +9 lines, -5 lines 0 comments Download
M components/url_formatter/url_formatter_unittest.cc View 1 2 3 2 chunks +36 lines, -0 lines 0 comments Download
Trybot results:  win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_compile_dbg_ng   win_clang   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_x64_rel_ng   ios-simulator   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-simulator-xcode-clang   ios-device   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe 

Messages

Total messages: 20 (14 generated)
jungshik at Google
Peter, can you take a look?
7 months, 3 weeks ago (2017-03-28 18:48:22 UTC) #5
Peter Kasting
LGTM https://codereview.chromium.org/2780633002/diff/40001/components/url_formatter/url_formatter_unittest.cc File components/url_formatter/url_formatter_unittest.cc (right): https://codereview.chromium.org/2780633002/diff/40001/components/url_formatter/url_formatter_unittest.cc#newcode242 components/url_formatter/url_formatter_unittest.cc:242: // Hiragana + U+30FD Nit: 30FE? https://codereview.chromium.org/2780633002/diff/40001/components/url_formatter/url_formatter_unittest.cc#newcode244 components/url_formatter/url_formatter_unittest.cc:244: ...
7 months, 3 weeks ago (2017-03-28 22:42:58 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2780633002/60001
7 months, 3 weeks ago (2017-03-28 23:03:23 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/259744) win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, ...
7 months, 3 weeks ago (2017-03-29 00:42:55 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2780633002/60001
7 months, 1 week ago (2017-04-11 19:57:20 UTC) #17
commit-bot: I haz the power
7 months, 1 week ago (2017-04-11 20:56:08 UTC) #20
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/24c0a76c14cd81b76a1ee75ad441...

Powered by Google App Engine
This is Rietveld efc10ee0f